package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(cooperation_organ):
 */
public class CooperationOrgan {

	/**  */
	private Integer id;
	
	/** 单位名称 */
	@ApiModelProperty(value = "班级编号",required = false)
	private String name;

	/** 分部编号 */
	@ApiModelProperty(value = "分部编号",required = false)
	private Integer organId;
	
	/** 联系人 */
	@ApiModelProperty(value = "班级编号",required = false)
	private String linkman;
	
	/**  */
	@ApiModelProperty(value = "班级编号",required = false)
	private String job;
	
	/**  */
	@ApiModelProperty(value = "班级编号",required = false)
	private String mobileNo;
	
	/**  */
	@ApiModelProperty(value = "班级编号",required = false)
	private String address;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	public Integer getOrganId() {
		return organId;
	}

	public void setOrganId(Integer organId) {
		this.organId = organId;
	}

	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setName(String name){
		this.name = name;
	}
	
	public String getName(){
		return this.name;
	}
			
	public void setLinkman(String linkman){
		this.linkman = linkman;
	}
	
	public String getLinkman(){
		return this.linkman;
	}
			
	public void setJob(String job){
		this.job = job;
	}
	
	public String getJob(){
		return this.job;
	}
			
	public void setMobileNo(String mobileNo){
		this.mobileNo = mobileNo;
	}
	
	public String getMobileNo(){
		return this.mobileNo;
	}
			
	public void setAddress(String address){
		this.address = address;
	}
	
	public String getAddress(){
		return this.address;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
